MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Member Functions
PollResultGeneric Class Reference

`#include <PollResultGeneric.hxx>`

## Public Member Functions
int | GetSize () const
unsigned | GetEvents (int i) const
void * | GetObject (int i) const
void | Reset ()
void | Clear (void *obj)
void | Add (unsigned events, void *obj)

## Detailed Description

Definition at line 27 of file PollResultGeneric.hxx.

## Member Function Documentation

void PollResultGeneric::Add | ( | unsigned | events,
|  | void * | obj
| ) |  |
| inline

Definition at line 52 of file PollResultGeneric.hxx.

void PollResultGeneric::Clear | ( | void * | obj | ) |
| inline

Definition at line 46 of file PollResultGeneric.hxx.

unsigned PollResultGeneric::GetEvents | ( | int | i | ) | const
| inline

Definition at line 42 of file PollResultGeneric.hxx.

void* PollResultGeneric::GetObject | ( | int | i | ) | const
| inline

Definition at line 43 of file PollResultGeneric.hxx.

int PollResultGeneric::GetSize | ( |  | ) | const
| inline

Definition at line 41 of file PollResultGeneric.hxx.

void PollResultGeneric::Reset | ( |  | ) |
| inline

Definition at line 44 of file PollResultGeneric.hxx.

The documentation for this class was generated from the following file:

- event/PollResultGeneric.hxx